org.apache.lucene.analysis.lv

## Class LatvianStemmer

- java.lang.Object
- - org.apache.lucene.analysis.lv.LatvianStemmer

-     public class LatvianStemmer
      extends Object

  Light stemmer for Latvian.

  This is a light version of the algorithm in Karlis Kreslin's PhD thesis A stemming algorithm for Latvian with the following modifications:

  - Only explicitly stems noun and adjective morphology
  - Stricter length/vowel checks for the resulting stems (verb etc suffix stripping is removed)
  - Removes only the primary inflectional suffixes: case and number for nouns ; case, number, gender, and definitiveness for adjectives.
  - Palatalization is only handled when a declension II,V,VI noun suffix is removed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatvianStemmer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `stem(char[] s, int len)` Stem a latvian word.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatvianStemmer

          public LatvianStemmer()

  - ### Method Detail

    - #### stem

          public int stem(char[] s,
                 int len)

      Stem a latvian word. returns the new adjusted length.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.